Bug 1860903 - abrt-applet core dumps when without network
Summary: abrt-applet core dumps when without network
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: abrt
Version: 32
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: ---
Assignee: abrt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-07-27 11:44 UTC by Yaniv Kaul
Modified: 2020-08-07 01:08 UTC (History)
9 users (show)

Fixed In Version: abrt-2.14.2-3.fc32 abrt-2.14.2-3.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-08-06 04:02:30 UTC
Type: Bug


Attachments (Terms of Use)

Description Yaniv Kaul 2020-07-27 11:44:32 UTC
Description of problem:
I've lost power at the house, which means no network and no power to my laptop. abrt seem to have crashed.

Versions used:
[ykaul@ykaul 1]$ rpm -qa |grep abrt
abrt-addon-kerneloops-2.14.2-2.fc32.x86_64
abrt-addon-pstoreoops-2.14.2-2.fc32.x86_64
abrt-plugin-bodhi-2.14.2-2.fc32.x86_64
abrt-gui-2.14.2-2.fc32.x86_64
abrt-addon-xorg-2.14.2-2.fc32.x86_64
abrt-cli-2.14.2-2.fc32.x86_64
gnome-abrt-1.3.5-1.fc32.x86_64
abrt-libs-2.14.2-2.fc32.x86_64
abrt-2.14.2-2.fc32.x86_64
abrt-gui-libs-2.14.2-2.fc32.x86_64
abrt-retrace-client-2.14.2-2.fc32.x86_64
abrt-addon-vmcore-2.14.2-2.fc32.x86_64
abrt-desktop-2.14.2-2.fc32.x86_64
python3-abrt-addon-2.14.2-2.fc32.noarch
python3-abrt-2.14.2-2.fc32.x86_64
abrt-tui-2.14.2-2.fc32.x86_64
abrt-dbus-2.14.2-2.fc32.x86_64
abrt-addon-ccpp-2.14.2-2.fc32.x86_64
abrt-java-connector-1.1.5-1.fc32.x86_64


See journal log:
Jul 27 14:30:09 ykaul.tlv.redhat.com systemd-coredump[1251437]: Process 2338 (abrt-applet) of user 13610 dumped core.
                                                                
                                                                Stack trace of thread 2338:
                                                                #0  0x0000559686da2c8d abrt_applet_problem_info_is_announced (abrt-applet + 0x7c8d)
                                                                #1  0x0000559686da0770 abrt_applet_application_send_problem_notification (abrt-applet + 0x5770)
                                                                #2  0x0000559686da2038 process_deferred_queue (abrt-applet + 0x7038)
                                                                #3  0x00007f9ec5c6a45b g_idle_dispatch (libglib-2.0.so.0 + 0x4e45b)
                                                                #4  0x00007f9ec5c6e78f g_main_context_dispatch (libglib-2.0.so.0 + 0x5278f)
                                                                #5  0x00007f9ec5c6eb18 g_main_context_iterate.constprop.0 (libglib-2.0.so.0 + 0x52b18)
                                                                #6  0x00007f9ec5c6ebe3 g_main_context_iteration (libglib-2.0.so.0 + 0x52be3)
                                                                #7  0x00007f9ec5e8672d g_application_run (libgio-2.0.so.0 + 0xe572d)
                                                                #8  0x0000559686da045d main (abrt-applet + 0x545d)
                                                                #9  0x00007f9ec5a5e042 __libc_start_main (libc.so.6 + 0x27042)
                                                                #10 0x0000559686da04be _start (abrt-applet + 0x54be)
                                                                
                                                                Stack trace of thread 2349:
                                                                #0  0x00007f9ec5b2daaf __poll (libc.so.6 + 0xf6aaf)
                                                                #1  0x00007f9ec5c6eaae g_main_context_iterate.constprop.0 (libglib-2.0.so.0 + 0x52aae)
                                                                #2  0x00007f9ec5c6ee33 g_main_loop_run (libglib-2.0.so.0 + 0x52e33)
                                                                #3  0x00007f9ec5ec36aa gdbus_shared_thread_func (libgio-2.0.so.0 + 0x1226aa)
                                                                #4  0x00007f9ec5c987f2 g_thread_proxy (libglib-2.0.so.0 + 0x7c7f2)
                                                                #5  0x00007f9ec4cb0432 start_thread (libpthread.so.0 + 0x9432)
                                                                #6  0x00007f9ec5b38913 __clone (libc.so.6 + 0x101913)
                                                                
                                                                Stack trace of thread 2505:
                                                                #0  0x00007f9ec5b2daaf __poll (libc.so.6 + 0xf6aaf)
                                                                #1  0x00007f9ec5c6eaae g_main_context_iterate.constprop.0 (libglib-2.0.so.0 + 0x52aae)
                                                                #2  0x00007f9ec5c6ebe3 g_main_context_iteration (libglib-2.0.so.0 + 0x52be3)
                                                                #3  0x00007f9ec6026fbd dconf_gdbus_worker_thread (libdconfsettings.so + 0xafbd)
                                                                #4  0x00007f9ec5c987f2 g_thread_proxy (libglib-2.0.so.0 + 0x7c7f2)
                                                                #5  0x00007f9ec4cb0432 start_thread (libpthread.so.0 + 0x9432)
                                                                #6  0x00007f9ec5b38913 __clone (libc.so.6 + 0x101913)
                                                                
                                                                Stack trace of thread 2348:
                                                                #0  0x00007f9ec5b2daaf __poll (libc.so.6 + 0xf6aaf)
                                                                #1  0x00007f9ec5c6eaae g_main_context_iterate.constprop.0 (libglib-2.0.so.0 + 0x52aae)
                                                                #2  0x00007f9ec5c6ebe3 g_main_context_iteration (libglib-2.0.so.0 + 0x52be3)
                                                                #3  0x00007f9ec5c6ec31 glib_worker_main (libglib-2.0.so.0 + 0x52c31)
                                                                #4  0x00007f9ec5c987f2 g_thread_proxy (libglib-2.0.so.0 + 0x7c7f2)
                                                                #5  0x00007f9ec4cb0432 start_thread (libpthread.so.0 + 0x9432)
                                                                #6  0x00007f9ec5b38913 __clone (libc.so.6 + 0x101913)
Jul 27 14:30:09 ykaul.tlv.redhat.com systemd[1274]: dbus-:1.2-org.freedesktop.problems.applet: Succeeded.
Jul 27 14:30:09 ykaul.tlv.redhat.com audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-coredump@4-1251432-0 comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Jul 27 14:30:09 ykaul.tlv.redhat.com systemd[1]: Started Process Core Dump (PID 1251432/UID 0).
Jul 27 14:30:09 ykaul.tlv.redhat.com audit: BPF prog-id=89 op=LOAD
Jul 27 14:30:09 ykaul.tlv.redhat.com audit: BPF prog-id=88 op=LOAD
Jul 27 14:30:09 ykaul.tlv.redhat.com audit: BPF prog-id=87 op=LOAD
Jul 27 14:30:09 ykaul.tlv.redhat.com wpa_supplicant[1230]: wlp2s0: Reject scan trigger since one is already pending
Jul 27 14:30:09 ykaul.tlv.redhat.com NetworkManager[1090]: <info>  [1595849409.2188] device (p2p-dev-wlp2s0): supplicant management interface state: disconnected -> inactive
Jul 27 14:30:09 ykaul.tlv.redhat.com NetworkManager[1090]: <info>  [1595849409.2187] device (wlp2s0): supplicant interface state: disconnected -> inactive
Jul 27 14:30:09 ykaul.tlv.redhat.com NetworkManager[1090]: <info>  [1595849409.2139] device (p2p-dev-wlp2s0): supplicant management interface state: scanning -> disconnected
Jul 27 14:30:09 ykaul.tlv.redhat.com NetworkManager[1090]: <info>  [1595849409.2139] device (wlp2s0): supplicant interface state: scanning -> disconnected
Jul 27 14:30:09 ykaul.tlv.redhat.com kernel: traps: abrt-applet[2338] general protection fault ip:559686da2c8d sp:7ffc00345320 error:0 in abrt-applet[559686d9f000+5000]
Jul 27 14:30:09 ykaul.tlv.redhat.com audit[2338]: ANOM_ABEND auid=13610 uid=13610 gid=13610 ses=1 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 pid=2338 comm="abrt-applet" exe="/usr/bin/abrt-applet" sig=11 res=1
Jul 27 14:30:09 ykaul.tlv.redhat.com dnsmasq[1429]: using nameserver 127.0.0.1#53
Jul 27 14:30:09 ykaul.tlv.redhat.com dnsmasq[1429]: reading /etc/resolv.conf
Jul 27 14:30:09 ykaul.tlv.redhat.com abrt-applet[2338]: g_variant_new_string: assertion 'string != NULL' failed
Jul 27 14:30:09 ykaul.tlv.redhat.com abrt-applet[2338]: abrt_applet_problem_info_get_directory: assertion 'ABRT_APPLET_IS_PROBLEM_INFO (self)' failed
Jul 27 14:30:09 ykaul.tlv.redhat.com abrt-applet[2338]: abrt_applet_problem_info_set_announced: assertion 'ABRT_APPLET_IS_PROBLEM_INFO (self)' failed
Jul 27 14:30:09 ykaul.tlv.redhat.com abrt-applet[2338]: g_path_get_basename: assertion 'file_name != NULL' failed
Jul 27 14:30:09 ykaul.tlv.redhat.com abrt-applet[2338]: abrt_applet_problem_info_get_executable: assertion 'ABRT_APPLET_IS_PROBLEM_INFO (self)' failed
Jul 27 14:30:09 ykaul.tlv.redhat.com NetworkManager[1090]: <info>  [1595849409.2033] manager: NetworkManager state is now CONNECTED_LOCAL
Jul 27 14:30:09 ykaul.tlv.redhat.com abrt-applet[2338]: abrt_applet_problem_info_get_count: assertion 'ABRT_APPLET_IS_PROBLEM_INFO (self)' failed
Jul 27 14:30:09 ykaul.tlv.redhat.com abrt-applet[2338]: abrt_applet_problem_info_is_foreign: assertion 'ABRT_APPLET_IS_PROBLEM_INFO (self)' failed
Jul 27 14:30:09 ykaul.tlv.redhat.com abrt-applet[2338]: abrt_applet_problem_info_is_packaged: assertion 'ABRT_APPLET_IS_PROBLEM_INFO (self)' failed
Jul 27 14:30:09 ykaul.tlv.redhat.com abrt-applet[2338]: abrt_applet_problem_info_get_command_line: assertion 'ABRT_APPLET_IS_PROBLEM_INFO (self)' failed
Jul 27 14:30:09 ykaul.tlv.redhat.com abrt-applet[2338]: abrt_applet_problem_info_get_environment: assertion 'ABRT_APPLET_IS_PROBLEM_INFO (self)' failed
Jul 27 14:30:09 ykaul.tlv.redhat.com abrt-applet[2338]: abrt_applet_problem_info_get_pid: assertion 'ABRT_APPLET_IS_PROBLEM_INFO (self)' failed
Jul 27 14:30:09 ykaul.tlv.redhat.com abrt-applet[2338]: abrt_applet_problem_info_is_announced: assertion 'ABRT_APPLET_IS_PROBLEM_INFO (self)' failed
Jul 27 14:30:09 ykaul.tlv.redhat.com dnsmasq[1244]: cleared cache
Jul 27 14:30:09 ykaul.tlv.redhat.com dnsmasq[1244]: using nameserver 192.168.126.1#53 for domain ykauldom.example.com
Jul 27 14:30:09 ykaul.tlv.redhat.com dnsmasq[1244]: setting upstream servers from DBus
Jul 27 14:30:09 ykaul.tlv.redhat.com chronyd[1047]: Can't synchronise: no selectable sources
Jul 27 14:30:09 ykaul.tlv.redhat.com chronyd[1047]: Source 162.159.200.123 offline
Jul 27 14:30:09 ykaul.tlv.redhat.com chronyd[1047]: Source 162.159.200.1 offline
Jul 27 14:30:09 ykaul.tlv.redhat.com abrt-applet[2338]: g_object_unref: assertion 'G_IS_OBJECT (object)' failed
Jul 27 14:30:09 ykaul.tlv.redhat.com abrt-applet[2338]: abrt_applet_problem_info_ensure_writable: assertion 'ABRT_APPLET_IS_PROBLEM_INFO (self)' failed
Jul 27 14:30:09 ykaul.tlv.redhat.com abrt-applet[2338]: abrt_applet_problem_info_is_foreign: assertion 'ABRT_APPLET_IS_PROBLEM_INFO (self)' failed
Jul 27 14:30:09 ykaul.tlv.redhat.com abrt-applet[2338]: g_object_unref: assertion 'G_IS_OBJECT (object)' failed
Jul 27 14:30:09 ykaul.tlv.redhat.com abrt-applet[2338]: abrt_applet_problem_info_ensure_writable: assertion 'ABRT_APPLET_IS_PROBLEM_INFO (self)' failed
Jul 27 14:30:09 ykaul.tlv.redhat.com NetworkManager[1090]: <info>  [1595849409.1950] device (wlp2s0): set-hw-addr: set MAC address to 5A:C0:50:4B:B1:A5 (scanning)
Jul 27 14:30:09 ykaul.tlv.redhat.com avahi-daemon[1001]: Interface wlp2s0.IPv4 no longer relevant for mDNS.
Jul 27 14:30:09 ykaul.tlv.redhat.com avahi-daemon[1001]: Leaving mDNS multicast group on interface wlp2s0.IPv4 with address 192.168.14.12.
Jul 27 14:30:09 ykaul.tlv.redhat.com avahi-daemon[1001]: Withdrawing address record for 192.168.14.12 on wlp2s0.
Jul 27 14:30:09 ykaul.tlv.redhat.com abrt-applet[2338]: abrt_applet_problem_info_is_foreign: assertion 'ABRT_APPLET_IS_PROBLEM_INFO (self)' failed
Jul 27 14:30:09 ykaul.tlv.redhat.com NetworkManager[1090]: <info>  [1595849409.1889] dhcp4 (wlp2s0): state changed bound -> done
Jul 27 14:30:09 ykaul.tlv.redhat.com NetworkManager[1090]: <info>  [1595849409.1889] dhcp4 (wlp2s0): canceled DHCP transaction
Jul 27 14:30:09 ykaul.tlv.redhat.com avahi-daemon[1001]: Interface wlp2s0.IPv6 no longer relevant for mDNS.

Comment 1 Fedora Update System 2020-07-28 17:52:10 UTC
FEDORA-2020-3827a59fa8 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-3827a59fa8

Comment 2 Fedora Update System 2020-07-28 17:52:11 UTC
FEDORA-2020-1c6d383149 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-1c6d383149

Comment 3 Fedora Update System 2020-07-30 19:40:12 UTC
FEDORA-2020-3827a59fa8 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-3827a59fa8`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-3827a59fa8

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2020-07-30 19:54:30 UTC
FEDORA-2020-1c6d383149 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-1c6d383149`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-1c6d383149

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2020-08-06 04:02:30 UTC
FEDORA-2020-1c6d383149 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 Fedora Update System 2020-08-07 01:08:12 UTC
FEDORA-2020-3827a59fa8 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.